<!-- /docs/utils/addContextMenuToMarker.md -->

# 🧭 addContextMenuToMarker.js

Fügt einem Leaflet-Marker ein individuelles Kontextmenü hinzu.

## Zweck

- Erlaubt dem Nutzer über Rechtsklick oder Interaktion den Zugriff auf Funktionen wie:
  - „Station öffnen (Tab)“
  - „Details anzeigen“
  - „Bearbeiten starten“

## Verwendung

```js
addContextMenuToMarker(marker, idLD, name);
```

## Parameter

- `marker`: Leaflet-Marker
- `idLD`: Geräte-ID
- `name`: Anzeigename

## Kontext

- Wird z. B. in `createAndSetDevices.js` verwendet
